
environment=$1
version=$2
echo "环境变量为${environment},版本为$version!"
if [[ ${environment} = 'production' ]];
then
  echo "开始远程构建容器"
  docker stop health_student_web || true;
  docker rm health_student_web || true;
  docker rmi -f $(docker images | grep registry.cn-shanghai.aliyuncs.com/tolpo_platform/health_student_web | awk '{print $3}')
  #docker login --username=telpo_linwl@1111649216405698 --password=telpo#1234 registry.cn-shanghai.aliyuncs.com;
  #docker login --username=telpo_fengjj@1111649216405698 --password=PWDaliyun123 registry.cn-shanghai.aliyuncs.com
  docker login --username=rzl_wangjx@1111649216405698 --password=telpo.123 registry.cn-shanghai.aliyuncs.com
  docker pull registry.cn-shanghai.aliyuncs.com/tolpo_platform/health_student_web:$version
  docker run -p 8070:80 -d --restart=always --name health_student_web registry.cn-shanghai.aliyuncs.com/tolpo_platform/health_student_web:$version;
  #删除产生的None镜像
  docker rmi -f $(docker images | grep none | awk '{print $3}')
  docker ps -a
else
    echo "开始在测试环境远程构建容器"
  docker stop health_student_web || true
  docker rm health_student_web || true
  docker rmi -f $(docker images | grep 139.224.254.18:5000/health_student_web | awk '{print $3}')
  docker pull 139.224.254.18:5000/health_student_web:$version
  docker run -p 8070:80 -d --restart=always --name health_student_web 139.224.254.18:5000/health_student_web:$version;
  #删除产生的None镜像
  docker rmi -f $(docker images | grep none | awk '{print $3}')
  docker ps -a
fi